#include <stdio.h>

void fillpolyX3D(FILE *texte,int type_valeurs,int n,double *p,coord_3D *normale,char *rl);
void ecrit_entete_X3D(FILE *texte,char *rl);
void ecrit_fin_X3D(FILE *texte,char *rl);
void ecrit_debut_IndexedFaceSet_X3D(FILE *texte,char *rl);
void ecrit_suite_IndexedFaceSet_X3D(FILE *texte,char *rl);
void sauvegarde_facette_X3D_3(FILE *texte,double x1,double y1,double z1,double x2,double y2,double z2,double x3,double y3,double z3,int type_valeurs,char *rl);
void sauvegarde_facette_X3D_4(FILE *texte,double x1,double y1,double z1,double x2,double y2,double z2,double x3,double y3,double z3,double x4,double y4,double z4,int type_valeurs,char *rl);
void debut_facette_X3D(FILE *texte,int type_valeurs,char *rl);
void sommet_facette_X3D(FILE *texte,double x1,double y1,double z1,int n,int type_valeurs,char *rl);
void ecrit_fin_noeud_X3D(FILE *texte,char *rl);
void ecrit_debut_Normal_X3D(FILE *texte,char *rl);
void ecrit_fin_Normal_X3D(FILE *texte,char *rl);
void ecrit_fin_Coordinate_X3D(FILE *texte,char *rl);
void ecrit_debut_IndexedFaceSet_X3D(FILE *texte,char *rl);
void ecrit_fin_IndexedFaceSet_X3D(FILE *texte,char *rl);
void sauvegarde_sommet_X3D_3(FILE *texte,struct coord_3D_court *c,int type_valeurs,char *rl);
void sauvegarde_sommet_X3D_3(FILE *texte,struct coord_3D *c,int type_valeurs,char *rl);
void sauvegarde_indexe_X3D_3(FILE *texte,int *n);
void sauvegarde_indexe_X3D_3(FILE *texte,int *n,char *rl);
void sauvegarde_intermIFS_X3D_3(FILE *texte,char *rl);
